footer a {
  position: relative;
  text-decoration: none;
  transition: color 0.3s ease;
}

footer a::after {
  content: '';
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 0;
  height: 2px;
  background-color: #fed136;
  transition: width 0.3s ease;
}

footer a:hover::after {
  width: 100%;
}

